Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.exception
Class GroupwareException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              portlets.compoze.groupware.exception.GroupwareException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  Accounts.CannotDeleteAccountException, AddAccountException, ConnectionException, InvalidPatternException, NoAccountsException, NoFeatureGroupsEnabledException, NotLoggedInException

public class GroupwareException
extends java.lang.Exception
implements java.io.Serializable

This class represents a groupware exception.

See Also:
  Serialized Form

Constructor Summary
`GroupwareException(java.lang.String sMessage)` Constructor.
`GroupwareException(java.lang.Throwable e)` Constructor.

Method Summary
`java.lang.Throwable` | `getNestedException()` Gets the nested exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GroupwareException

    public GroupwareException(java.lang.String sMessage)

  Constructor.

Parameters:
  `sMessage` - the message

### GroupwareException

    public GroupwareException(java.lang.Throwable e)

  Constructor.

Parameters:
  `e` - the underlying exception (may not be `null`)

Method Detail

### getNestedException

    public java.lang.Throwable getNestedException()

  Gets the nested exception.

  Returns:
    the nested exception

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.